All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.form.html
Class PushButton

    com.sas.servlet.tbeans.form.html.PushButton

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, FormElementModificationEventInterface, com.sas.servlet.tbeans.form.JavaScriptObjectCreationInterface, com.sas.servlet.tbeans.JavaScriptEventHandlerInterface, RenderableInterface, StyleInterface, TransformationInterface, GenericValidatorInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class PushButton

implements StyleInterface

The PushButton is a TransformationBean™ that generates the appropriate HTML 4.0 for creating an HTML form image.

### Accessibility

The Section 508 Accessibility standards, such as making application tasks available through the keyboard, are incorporated into our components to improve usability for all of our software products which benefits every SAS user.

This component is fully compliant with the Web-based standards outlined in Section 508. The compliance is based on producing the correct output, having keyboard equivalent and surfacing the necessary properties to assist consumers of the component to be compliant.

The following keyboard equivalents are supported by this component:

KeyBoard Access | Behavior/Result
--- | ---
TAB | TAB moves the focus to the pushbutton. Hitting TAB while the pushbutton has focus will navigate focus to the next tabbable component.
ALT+ACCESSKEY | Pressing ALT+ACCESSKEY will navigate focus to the pushbutton. The ACCESSKEY indicates the keyboard character used as a shortcut to activate the element.
ALT+RIGHT ARROW | Pressing the ALT+RIGHT ARROW while the pushbutton has focus, presses the pushbutton.
ENTER | Pressing ENTER while the pushbutton has focus, presses the pushbutton.

The following keyboard equivalents are supported by this component:

KeyBoard Access | Behavior/Result
--- | ---
Tab | Navigate to the PushButton to give it focus
Alt + AccessKey | Gives the PushButton focus
Alt + RightArrow key | To press the PushButton
Enter key | To press the PushButton

The following properties are provided to assist in making the application using this component accessible:

- AccessKey
- TabIndex
- KeyDown
- KeyPress
- KeyUp

The PushButton is one of several TransformationBeans™ that rely on a set of style classes that are used by default when generating the resulting markup language. For more information on style sheets and the default style classes that apply to this TransformationBean™, refer to the AppDev Studio Developer Site. You'll find a useful reference document entitled Cascading Style Sheets, Images, and TransformationBeans™ as well as the TransformationBeans™ Style Sheet Reference.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:PushButton custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.form.BaseFormElement
`RB_KEY`

Constructor Summary
`PushButton()` Constructs a new PushButton Transformation Bean
`PushButton(java.lang.String name)` Constructs a new PushButton Transformation Bean
`PushButton(java.lang.String name, java.lang.String label)` Constructs a new PushButton Transformation Bean
`PushButton(java.lang.String name, java.lang.String label, java.lang.String type)` Constructs a new PushButton Transformation Bean

Method Summary
`void` | `write(java.io.PrintWriter out)` Writes the transformed representation of the object

Methods inherited from class com.sas.servlet.tbeans.form.BasePushButton
`getLabel, getOnSubmit, getType, setLabel, setOnSubmit, setType`

Methods inherited from class com.sas.servlet.tbeans.form.BaseFormElement
`getAccessKey, getErrorHandler, getModificationEventName, getName, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleInfo, getTabIndex, getTitle, getValidationFunctions, getValidator, isEnabled, isValid, isValidationEnabled, setAccessKey, setEnabled, setErrorHandler, setId, setModificationEventName, setName, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleInfo, setTabIndex, setTitle, setValidator, writeJavaScriptObject, writeJavaScriptObjectValidate, writeJavaScriptValidatorObject, writeValidationScript`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setInputTransform, setLocale, setLocaleDependentProperties, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.StyleInterface
`getStyleInfo, setStyleInfo`

Constructor Detail

### PushButton

    public PushButton()

  Constructs a new PushButton Transformation Bean

### PushButton

    public PushButton(java.lang.String name)

  Constructs a new PushButton Transformation Bean

  Parameters:
    `name` - The pushbutton name

### PushButton

    public PushButton(java.lang.String name,
                      java.lang.String label)

  Constructs a new PushButton Transformation Bean

  Parameters:
    `name` - The pushbutton field name
    `label` - The pushbutton label

### PushButton

    public PushButton(java.lang.String name,
                      java.lang.String label,
                      java.lang.String type)

  Constructs a new PushButton Transformation Bean

  Parameters:
    `name` - The pushbutton field name
    `label` - The pushbutton label or image source
    `type` - The pushbutton type (submit or reset)

Method Detail

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the transformed representation of the object

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseFormElement`
  Parameters:
    `out` - The output stream Examples of button output are:
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.